# $Revision: 1.8.2.2 $, $Date: 2003/04/15 00:10:20 $
%include	/usr/lib/rpm/macros.perl
%define	pdir	LWP
%define	pnam	Parallel
Summary:	LWP::Parallel - module for parallel downloading
Summary(pl):	LWP::Parallel - modu do rwnolegego pobierania
Name:		perl-LWP-Parallel
Version:	2.54
Release:	4
License:	GPL or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pnam}UserAgent-%{version}.tar.gz
BuildRequires:	perl >= 5.6
BuildRequires:  perl-libwww
BuildRequires:	rpm-perlprov >= 4.0.2-104
BuildConflicts:	perl-Attribute-Persistent < 1.0-3
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
ParallelUserAgent (or PUA for short) is an extension of the existing
libwww-5.x distribution.  It allows you to connect to download several
Web pages in _parallel_, without having to request each page one after
the other.

%description -l pl
ParallelUserAgent (w skrcie PUA) to rozszerzenie istniejcego pakietu
libwww-5.x. Pozwala na poczenie i ciganie kilku stron WWW
_rwnolegle_, bez koniecznoci dania kolejnej strony po cigniciu
poprzedzniej.

%prep
%setup -q -n %{pnam}UserAgent-%{version}

%build
%{__perl} Makefile.PL
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__make} install DESTDIR=$RPM_BUILD_ROOT

install t/example* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog README README.SSL
%{perl_sitelib}/LWP/*.pm
%{perl_sitelib}/LWP/Parallel
%{_mandir}/man3/LWP*
%{_examplesdir}/%{name}-%{version}

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-LWP-Parallel.spec,v $
Revision 1.8.2.2  2003/04/15 00:10:20  ankry
- replaced _noautoreq by BuildConflicts, rel++

Revision 1.8.2.1  2003/03/13 00:57:49  ankry
- BR: new rpm (new perl.prov), rel++

Revision 1.8  2003/02/25 00:40:13  radek
- use the __perl macro

Revision 1.7  2003/02/23 01:04:53  ankry
- added _noautoreqdep for perl(UNIVERSAL) - it is provided by perl-modules
  and perl-Attribute-Persistent
- rel. 3

Revision 1.6  2003/02/18 15:35:10  ankry
- massive attack: change CPAN URLs

Revision 1.5  2002/12/26 13:49:06  qboosh
- pl description

Revision 1.4  2002/12/25 14:38:17  radek
- provided informative summaries/descriptions
- fixed license field
- removed tests from _examplesdir
- removed Bundle::*
- release 2

Revision 1.3  2002/12/03 15:51:12  qboosh
- typo

Revision 1.2  2002/12/02 21:54:04  djrzulf
- fixed one thing (rm -rf RPM_BUILD_ROOT) ...
- required by irssi-0.8.6,

Revision 1.1  2002/12/02 21:47:09  djrzulf
- i think, that it'll be better solution :)

Revision 1.1  2002/12/02 21:20:04  djrzulf
- initial PLD release
